你好,游客 登录 注册 搜索
背景:
阅读新闻

Apache Ambari 任意代码执行漏洞(CVE-2014-3582)

[日期:2017-03-30] 来源:Linux社区  作者:Linux [字体: ]
Apache Ambari 任意代码执行漏洞(CVE-2014-3582)


发布日期:2017-03-29
更新日期:2017-03-30

受影响系统:

Apache Group Ambari < 2.4.0

描述:


CVE(CAN) ID: CVE-2014-3582

Apache Ambari是规定、管理、监控Apache Hadoop集群的工具。

Apache Ambari < 2.4.0版本,在证书签名REST API中存在安全漏洞,这可使远程用户通过agentHostname值内的shell元字符,利用此漏洞执行任意代码。

<*来源:vendor
  *>

建议:


厂商补丁:

Apache Group
------------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://cwiki.apache.org/confluence/display/AMBARI/Ambari+Vulnerabilities#AmbariVulnerabilities-FixedinAmbari2.4.0

https://infocon.org/cons/SyScan/SyScan%202015%20Singapore/SyScan%202015%20Singapore%20presentations/SyScan15%20David%20Jorm%20-%20Finding%20and%20exploiting%20novel%20flaws%20in%20Java%20software.pdf

Hadoop集群监控工具Ambari安装 http://www.linuxidc.com/Linux/2014-06/103208.htm

使用Ambari快速部署Hadoop大数据环境 http://www.linuxidc.com/Linux/2014-05/101531.htm

Ambari 服务配置以及 Alert 详解  http://www.linuxidc.com/Linux/2016-12/138149.htm

Ubuntu 14.04上搭建Ambari 清晰PDF  http://www.linuxidc.com/Linux/2016-01/126965.htm

CentOS 7 安装Ambari2.4.0图文详解 http://www.linuxidc.com/Linux/2016-12/138142.htm

CentOS 6.5下使用Ambari安装Hadoop集群  http://www.linuxidc.com/Linux/2014-12/110824.htm

使用Ambari来部署Hadoop集群(搭建内网HDP源)  http://www.linuxidc.com/Linux/2017-03/142136.htm

Ambari安装指南图文详解 http://www.linuxidc.com/Linux/2017-03/141295.htm

CentOS 6.5+Ambari+HDP集群安装  http://www.linuxidc.com/Linux/2017-03/141297.htm

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-03/142374.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款